%define rbname esmart
%define version 0.0.0
%define release %mkrel 1.git20070908.1

Summary: Ruby binding for esmart
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Ruby
License: MIT
URL: http://code-monkey.de/pages/ruby-efl
Source0: %{name}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: esmart-devel ruby-evas-devel ruby-ecore-devel
BuildRequires: ruby-rake ruby-devel

%description
EET is a tiny library designed to write an arbitary set of chunks of data to
a file and optionally compress each chunk (very much like a zip file) and 
allow fast random-access reading of the file later on.
Ruby-EET allows you to read and write EET files from Ruby code. 
This extension also supports Ruby object serialization to EDD (EET Data
Descriptor).

%prep
%setup -q -n %{name}

%build
ESMART_PREFIX=%{_prefix} rake 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{ruby_sitearchdir}
ESMART_PREFIX=%{_prefix} DESTDIR=%{buildroot} rake install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING
%{ruby_sitearchdir}/*.so



%changelog
* Sat Sep 08 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.0-1.git20070908.1mdv2008.0
+ Revision: 82297
- Use ruby macros
- Fix group
- Update URL
- Update svn snapshot to the current git

  + Thierry Vignaud <tvignaud@mandriva.com>
    - use %%mkrel


* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.2mdk
- BuildRequires ruby-devel

* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.1mdk
- First version of the package

